package com.ruoyi.mxjb.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.mxjb.domain.MxjbPaperTest;

/**
 * AI组卷记录Mapper接口
 * 
 * @author mingxue
 * @date 2021-12-25
 */
public interface MxjbPaperTestMapper 
{
    /**
     * 查询AI组卷记录
     * 
     * @param paperId AI组卷记录ID
     * @return AI组卷记录
     */
    public MxjbPaperTest selectMxjbPaperTestById(Long paperId);

    /**
     * 查询AI组卷记录列表
     * 
     * @param mxjbPaperTest AI组卷记录
     * @return AI组卷记录集合
     */
    public List<MxjbPaperTest> selectMxjbPaperTestList(MxjbPaperTest mxjbPaperTest);
    public MxjbPaperTest selectTopMxjbPaperTest(MxjbPaperTest mxjbPaperTest);
    public List<MxjbPaperTest> selectExamPaperTestList(Map cond);

    /**
     * 新增AI组卷记录
     * 
     * @param mxjbPaperTest AI组卷记录
     * @return 结果
     */
    public int insertMxjbPaperTest(MxjbPaperTest mxjbPaperTest);

    /**
     * 修改AI组卷记录
     * 
     * @param mxjbPaperTest AI组卷记录
     * @return 结果
     */
    public int updateMxjbPaperTest(MxjbPaperTest mxjbPaperTest);

    /**
     * 删除AI组卷记录
     * 
     * @param paperId AI组卷记录ID
     * @return 结果
     */
    public int deleteMxjbPaperTestById(Long paperId);

    /**
     * 批量删除AI组卷记录
     * 
     * @param paperIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteMxjbPaperTestByIds(Long[] paperIds);
}
